## ydpdict 0.63

=== Makefile ===
all:	configure src/Makefile
	(cd src; make all)

configure:	configure.in
	./autogen.sh

src/Makefile:
	./configure

clean:
	rm -f src/*.o src/ydpdict src/*~ src/core

distclean:	clean
	rm -f config.log config.status src/config.h src/Makefile

acclean:	distclean
	rm -f configure aclocal.m4

install:
	(cd src; make install)

## ydpdict 1.0.2%2B1.0.3

=== debian/changelog ===
ydpdict (1.0.2+1.0.3-2build3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:27:35 +0000

ydpdict (1.0.2+1.0.3-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:53:46 +0000

ydpdict (1.0.2+1.0.3-2build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:47:45 +0000

ydpdict (1.0.2+1.0.3-2) unstable; urgency=medium

  * Added Vcs-* fields
  * Dropped the versioned AUTOMAKE usage, since this package is pretty well
    behaved regarding its automake use, and having to bump the version every
    time automake changes version is just a waste of time. This is consistent
    with the recommendation in autotools-dev. This makes it build with automake
    1.15 (Closes: #793302)
  * Bump standards-version (no changes needed).

 -- Marcin Owsiany <porridge@debian.org>  Mon, 27 Jul 2015 22:29:11 +0200

ydpdict (1.0.2+1.0.3-1) unstable; urgency=low

  * New upstream version
    - contains a fix for accessing words near the end of the dictionary
      (closes: #697616)
    - switched to the upstream git repository
  * New branch names in gbp config.
  * Use automake 1.14.
  * Bump standards-version.
  * Drop autoreconf override - fixed upstream.

 -- Marcin Owsiany <porridge@debian.org>  Mon, 21 Apr 2014 21:27:40 +0200

ydpdict (1.0.1-1) experimental; urgency=low

  * New upstream version
  * Modernized the build system: dh 9 and dh-autoreconf

 -- Marcin Owsiany <porridge@debian.org>  Sat, 18 Aug 2012 10:23:27 +0200

ydpdict (1.0.0-2) unstable; urgency=medium

  * Cherry-picking some upstream fixes for squeeze
    - documentation updates
    - license text update and copyright clarification
    - copyright year updates
    - a fix for severity=important segfault with newer libao library caused by
      an uninitialized data structure field (closes: #591464)
    - a fix for buggy sample file path computation (closes: #592067) - it is
      severity normal, but I chose to include it because it is a trivial,
      extremely low risk change
  * Bumping Standards-Version to 3.9.1. Necessary changes were:
    - clarify the non-freeness of the package in debian/copyright
    - use the policy-suggested makefile snippet for handling noopt

 -- Marcin Owsiany <porridge@debian.org>  Sat, 07 Aug 2010 17:33:10 +0100

ydpdict (1.0.0-1) unstable; urgency=low

  * New upstream version
    - update to use the new libydpdict2 API
    - some minor cmdline parsing fixes
    - minor word wrapping fixe
    - updated po files
  * debian/control:
    - updated the dependency on libydpdict-dev package to the new name
    - bumped standards-version to 3.7.3
    - moved the homepage from long description to its own header
    - improved the short description to mention the german dictionaries as
    well
  * debian/README.Debian: fixed a typo
  * debian/rules: changed invocation of distclean to happen only when Makefile
    exists, instead of ignoring any errors
  * debian/ydpdict.menu: improved longtitle to mention the german dictionaries
    as well
  * Moved the Polish manpage to pl directory, as recommended by man-db
    maintainer

 -- Marcin Owsiany <porridge@debian.org>  Sat, 15 Mar 2008 15:27:00 +0000

ydpdict (0.99.2-2) unstable; urgency=low

  * Upload to unstable

 -- Marcin Owsiany <porridge@debian.org>  Sat, 25 Aug 2007 15:56:19 +0100

ydpdict (0.99.2-1) experimental; urgency=low

  * New upstream version
    - restores the case-ignoring behaviour when opening dictionary files

 -- Marcin Owsiany <porridge@debian.org>  Mon, 20 Aug 2007 10:13:42 +0100

ydpdict (0.99.1-1) experimental; urgency=low

  * New upstream version
    - uses external libydpdict
    - supports UTF-8 (closes: #356627)
    - the config file is in english (ASCII) (closes: #356633)
    - can now play samples by itself (using libao)
  * Changed dependacy on libncurses to libncursesw
  * Added dependancy on libao
  * Bumped Standards-Version to 3.7.2 (no changes needed)
  * Bumped DH dep/compat to 5
  * Added a watch file (closes: #377345)
  * Moved from dh_movefiles to dh_install
  * Got rid of the configuration example in docs subdir

 -- Marcin Owsiany <porridge@debian.org>  Thu,  2 Aug 2007 13:40:14 +0100

ydpdict (0.66-1) unstable; urgency=medium

  * New upstream version
    - fixes samples playing and cmdline dict selection bugs Closes: #345548
      urgency=medium since they are quite important for some people

 -- Marcin Owsiany <porridge@debian.org>  Tue,  3 Jan 2006 14:53:00 +0100

ydpdict (0.65-1) unstable; urgency=low

  * New upstream version
    - adds support for pl/de de/pl dictionary files
    - some fixes, including those for amd64 Closes: #341594, #338720, #338731
    - adds support for .ogg files
  * debian/control:
    - adjusted description to de support
    - added upstream homepage URL to the description
  * debian/rules: fixed (unused --libexecdir path to configure)
  * debian/ydpdict.conf.example: removed
  * debain/ydpdict.examples: use ydpdict.conf.example
  * ydpdict.conf.example: changed mnt to media

 -- Marcin Owsiany <porridge@debian.org>  Sat,  3 Dec 2005 16:34:10 +0100

ydpdict (0.63-1) unstable; urgency=low

  * Initial Release. Closes: #251439

 -- Marcin Owsiany <porridge@debian.org>  Mon, 31 May 2004 12:06:29 +0200

## ydpdict 1.0.2+1.0.3

=== debian/control ===
Source: ydpdict
Section: contrib/text
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Standards-Version: 3.9.5
Homepage: http://toxygen.net/ydpdict/
Build-Depends:
# debianization tools
 debhelper (>= 9~), dh-autoreconf,
# program dependencies
 libncursesw5-dev, libydpdict2-dev (>= 1.0.0), libao-dev,
# build tools
 autoconf, automake, pkg-config
Build-Conflicts: autoconf2.13, automake1.4

Package: ydpdict
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface for Collins and Langenscheidt dictionaries
 This is an ncurses interface to the Collins English-Polish/Polish-English
 and/or Langenscheidt German-Polish/Polish-German dictionaries distributed by
 Young Digital Planet. It can also play the pronunciation samples if the CD is
 available.
 .
 This package is only the interface, it does not contain the dictionary files
 itself. To use it, you need a copy of a dictionary from YDP.

=== debian/rules ===
#!/usr/bin/make -f

# As recommended by "current Debian best practice" prescribed by autotools-dev,
# we specify an explicit automake version:
export AUTOMAKE=automake-1.14
# We rely on debhelper's autoconf build system to set configure build/host
# flags appropriately to help cross-compiling.

# See what exactly is going on.
export DH_VERBOSE=1

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- --with-dictdir=/usr/local/share/ydpdict

## ydpdict 1.0.3

=== debian/changelog ===
ydpdict (1.0.3-1) sid; urgency=medium

  * New upstream version
    - contains a fix for building with GCC 10 (Closes: #966171)

 -- Marcin Owsiany <porridge@debian.org>  Sun, 09 Aug 2020 16:56:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/text
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://toxygen.net/ydpdict/
 Build-Depends:
 # debianization tools
@@ -12,6 +12,8 @@
 # build tools
  autoconf, automake, pkg-config
 Build-Conflicts: autoconf2.13, automake1.4
+Vcs-Browser: https://github.com/porridge/ydpdict
+Vcs-Git: https://github.com/porridge/ydpdict.git -b debian-master
 
 Package: ydpdict
 Architecture: any

=== debian/watch ===
version=3
http://toxygen.net/ydpdict/ydpdict-(\d[^[:space:]]*)\.(?:tar\.gz|tgz|tar\.bz2|tbz|tbz2)

## ydpdict 1.0.5

=== debian/changelog ===
ydpdict (1.0.5-1) sid; urgency=high

  * New upstream version
    - Includes a patch from Sven Joachim which fixes FTBFS with new ncurses
      (Closes: #1057942)

 -- Marcin Owsiany <porridge@debian.org>  Sat, 23 Dec 2023 07:30:53 +0100

ydpdict (1.0.4+1-1) sid; urgency=medium

  * New upstream snapshot with gettext-related fixes
  * Drop the gettext version bump patch, applied upstream
  * Update section names in gbp config file
  * Add commands to clean the po directory in clean target

 -- Marcin Owsiany <porridge@debian.org>  Sat, 09 Dec 2023 11:09:22 +0100

ydpdict (1.0.4-1) sid; urgency=low

  * New upstream version
  * Set AM_GNU_GETTEXT_VERSION to 0.21 in configure.ac to match actual files.
  * Updated debian/watch and debian/control to point to GitHub page
  * Added a .desktop file with icons and removed menu file
  * Bumped Standards-Version
  * Bumped debhelper compat version to 13 and dropped useless args
  * Updated dependencies names, dropped useless ones

 -- Marcin Owsiany <porridge@debian.org>  Mon, 23 Oct 2023 14:19:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: contrib/text
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Standards-Version: 3.9.6
-Homepage: http://toxygen.net/ydpdict/
+Standards-Version: 4.6.2
+Homepage: https://github.com/wojtekka/ydpdict
 Build-Depends:
 # debianization tools
- debhelper (>= 9~), dh-autoreconf,
+ debhelper-compat (= 13),
 # program dependencies
- libncursesw5-dev, libydpdict2-dev (>= 1.0.0), libao-dev,
+ libncurses-dev, libydpdict2-dev (>= 1.0.0), libao-dev,
 # build tools
- autoconf, automake, pkg-config
+ autoconf (>= 2.71~), automake, pkg-config
 Build-Conflicts: autoconf2.13, automake1.4
 Vcs-Browser: https://github.com/porridge/ydpdict
 Vcs-Git: https://github.com/porridge/ydpdict.git -b debian-master

=== debian/rules ===
#!/usr/bin/make -f

# See what exactly is going on on buildds.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-dictdir=/usr/local/share/ydpdict

execute_after_dh_auto_clean:
	rm -f po/pl.gmo
	rm -f po/stamp-po
	rm -f po/ydpdict.pot

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/wojtekka/@PACKAGE@/releases?per_page=10 \
https://github.com/wojtekka/@PACKAGE@/releases/download/[^/]+/@PACKAGE@.@ANY_VERSION@@ARCHIVE_EXT@
